<?xml version="1.0"?> 

<xsl:stylesheet xmlns:xsl="http://www.w3.org/XSL/Transform/1.0"
   xmlns:lxslt="http://xsl.lotus.com/"
   xmlns="http://www.w3.org/TR/REC-html40" 
   result-ns="">


   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><><> main <><><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->

   
<xsl:template match="/">
   <HTML>
      <head>
	 <SCRIPT LANGUAGE="JavaScript"><![CDATA[
	       ///////////////////////////////////////////////////////
	       ///////////////////////////////////////////////////////
	       ///////////////////////////////////////////////////////
	       ///////////////////////////////////////////////////////
	       ///////////////////////////////////////////////////////
	      var myurl=this.document.location.href;
	     var duration=1000;
	    //alert(myurl);
	      function go(question){
		var ind=myurl.indexOf("#");
		if (ind >=0) {
		  myurl=myurl.substring(0,ind);
		}
		this.document.location=myurl+"#"+question;
	      }

	    function init(){
	    //top.menu.document.location='{$url}&amp;comm=LISTGRADEDQUESTIONS';
	    }
	    ]]>
	 </SCRIPT>
      </head>
      <xsl:variable name="url" ><xsl:value-of select="/course/global/host"/>/<xsl:value-of select="/course/global/servlet"/>/gs.admin.xTakeExam?unum=<xsl:value-of select="/course/user/unum"/>&amp;course=<xsl:value-of select="/course/coursename"/>&amp;quizname=<xsl:value-of select="/course/quiz/quizname"/></xsl:variable>
      
      <BODY  BGCOLOR="white"   
	 onLoad="init()" 
	 >
	 <table width="100%"><th bgcolor="cyan"  >
	    <xsl:value-of select="/course/coursename" /> - <xsl:value-of select="/course/quiz/quizname" />
	    Evaluation Sheet
	 </th></table>
	 <h1><font color="red">Your Final Score from this exam is : 
	    <xsl:value-of select="/course/quiz/std-total"/></font>/<xsl:value-of select="/course/quiz/points"/>
	 </h1>
	 <table width="100%"><th bgcolor="cyan"  >* * *</th></table>
	 <xsl:apply-templates select="course/quiz/question" mode="show"/>
	 <table width="100%"><th bgcolor="cyan"  >* * *</th></table>
	 <br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/>
	 <br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/>
	 <br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/>
	 <br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/>
	 <br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/>
	 <br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/>
	 <br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/><br/>
      </BODY>
   </HTML>
</xsl:template>

   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><> templates<><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->

<!-- ============================================================ -->
   <xsl:template match="question" mode="show">
      <xsl:sort select="qid" data-type="number"/>
      
      <a name="{qid}"></a>   
      <h1><font color="red">Question <xsl:value-of select="qid" />: </font></h1>
      <b><xsl:value-of select="detail/text" /></b>
      <br/>
      <font color="blue">
	 <xsl:value-of select="detail/feedback" />
      </font>
      <xsl:apply-templates select="type"/>
      <h1><font color="red">Score: 
	 <xsl:value-of select="std-score"/></font>/<xsl:value-of select="points"/>
      </h1>
      <form><b><input type="button" value="CLOSE THIS WINDOW" onClick="self.close()"/></b></form>
      
   </xsl:template>
   


<!-- *============================================================ -->
   <xsl:template match="course/layouts" >
      
      <table>
	 <tr>
	    <th bgcolor="#ccffff">
	       <xsl:value-of select="current/@xname"/>
	       <br>
	       </br> 
	       <xsl:apply-templates select="xsllayout">
		  <xsl:sort select="@xname" />
	       </xsl:apply-templates>
	    </th>
	 </tr>
      </table>

   </xsl:template>
<!-- *============================================================ -->   
   <xsl:template match="xsllayout" >

      [<A href="http://{@xfile}">0 <xsl:value-of select="@xname"/> 0 </A>]

   </xsl:template>
<!-- *============================================================ -->   

  <xsl:template match="type[.='prg']">

     <p><pre><xsl:value-of select="../std-wrote" /></pre></p>


  </xsl:template>
<!-- *============================================================ -->   

  <xsl:template match="type[.='mc']">

      <xsl:choose>
	 <xsl:when test="../detail/choice='1'">
	    <xsl:variable name="selectiontype" >RADIO</xsl:variable>
	 </xsl:when>
	 <xsl:otherwise>
	    <xsl:variable name="selectiontype" >CHECKBOX</xsl:variable>
	 </xsl:otherwise>
      </xsl:choose>
      
      <form>
	 <xsl:for-each select="../detail/mcanswers/answer">
	    <input>  
	       <xsl:attribute name="TYPE"><xsl:value-of select="$selectiontype" /></xsl:attribute>
	       <xsl:attribute name="name">a<xsl:value-of select="../../../qid" /></xsl:attribute>
	       <xsl:attribute name="value"><xsl:value-of select="text" /></xsl:attribute>
	       <xsl:if test="std-selected='YES'">
		  <xsl:attribute name="CHECKED"></xsl:attribute>
	       </xsl:if>
	       <xsl:value-of select="text" />    
	       <xsl:if test="std-selected='YES'">   
		  <xsl:attribute name="CHECKED"></xsl:attribute>
		  <b>
		     <font color="red"> ---> <xsl:value-of select="val" /> </font>
		     (<font color="blue"><xsl:value-of select="feedback" /></font>)
		  </b>
	       </xsl:if>
	    </input>
	    <br/>
	 </xsl:for-each>
      </form>
  </xsl:template>
<!-- *############################################################ -->   
<!-- *############################################################ -->   
<!-- *============================================================ -->   



   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><><> end  <><><><><><><><><><><><><><><><><><><><><><><>-->
   <!--<><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><><>-->
</xsl:stylesheet>














