<?xml version="1.0"?> 

<!--xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl"-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/XSL/Transform/1.0"
   xmlns="http://www.w3.org/TR/REC-html40" 
   xmlns:lxslt="http://xsl.lotus.com/"
result-ns="">


   
   
   <xsl:template match="/">
      <HTML>
	 <head>
	    
	    <SCRIPT LANGUAGE="JavaScript">
	       var first=true;
	       var host="<xsl:value-of select="course/global/host"/>/<xsl:value-of select="course/global/servlet"/>";
	       var quizname="<xsl:value-of select="course/quiz/quizname"/>";
	       var coursename="<xsl:value-of select="course/coursename"/>";
	       var user="<xsl:value-of select="course/user/unum"/>";
	       <![CDATA[
	       function flag(qid){
	          if (first)
	                if( confirm("Do you really want to submit the exam?"))
	                      document.location=host+"/gs.admin.xTakeExam?comm=LISTQUESTIONS&unum="+user+"&course="+coursename+"&quizname="+quizname;
	          first=false;
	       }
	
		  function switchQuestionBank(){}
		  function prepareExam(){}
	  function getFromDB(){
		  document.location=host+"/gs.admin.xQuestionBank?comm=QUESTIONBANKLIST&unum="+user+"&course="+coursename+"&quizname="+quizname;
		  top.info.document.location=host+"/gs.admin.xQuestionBank/HtdocsGrdSys/qb/info.xsl?comm=RETURN&unum="+user+"&course="+coursename+"&quizname="+quizname;
}
		  function init() { 
		  //top.info.document.location=host+"/gs.admin.xQGrader?comm=QUIZRESULTS&unum="+user+"&course="+coursename+"&quizname="+quizname;
		  }
		  
		  ]]>

	    </SCRIPT>
	  
		
	 </head>
	 <BODY bgcolor="white" onLoad="init()">
	    <xsl:apply-templates select="course/layouts"/>
	    <xsl:call-template name="header"/>
	    <TABLE WIDTH="100%" ALIGN="center" BORDER="1">
	       <TR>
		  <TH colspan="2" bgcolor="LemonChiffon"> <xsl:value-of select="course/coursename"/> <s/><font color="blue">
		     <xsl:value-of select="course/quiz/quizname"/></font> Results [STUDENT LIST]</TH> 
	       </TR>
	       <xsl:apply-templates select="course/quiz/results/student" >
		  <xsl:sort select="qid" data-type="name@firstname"/>
	       </xsl:apply-templates>

	    </TABLE>
	    <xsl:call-template name="header"/>
	 </BODY>
      </HTML>
   </xsl:template>

<!-- *============================================================ -->
   <xsl:variable name="url"   ><xsl:value-of select="/course/global/host"/>/<xsl:value-of select="/course/global/servlet"/>/gs.admin.xTakeExam?quizname=<xsl:value-of select="/course/quiz/quizname"/>&amp;course=<xsl:value-of select="/course/coursename"/>&amp;unum=<xsl:value-of select="/course/user/unum"/>&amp;accesscode=</xsl:variable>
<!-- *============================================================ -->

   <xsl:template match="student" >
      <tr>
	 <td   bgcolor="#feeccf"> 
	    <A href="{$url}{accesscode}&amp;comm=GRADEEXAM"  
	       target="info" 
	       onClick="top.menu.document.location='{$url}{accesscode}&amp;comm=LISTGRADEDQUESTIONS';"
	       >
	       <font color="blue"><b><xsl:value-of select="name/@lastname"/></b></font>,
		  <font color="green" ><xsl:value-of select="name/@firstname"/><![CDATA[ ]]>
		  <xsl:value-of select="name/@midname"/>
	       </font>
	    </A>
	 </td>
	 <td align="center" bgcolor="red">
	   <font color="white"><b><xsl:value-of select="grade"/></b></font>
	 </td>
      </tr>
   </xsl:template>
   

<!-- *============================================================ -->
   <xsl:template match="course/layouts" >
      
      <table width="100%">
	 <tr>
	    <th bgcolor="#ccffff">
	       <xsl:value-of select="current/questionLIST/@xname"/>
	       <br>
	       </br> 
	       <xsl:apply-templates select="questionLIST">
		  <xsl:sort select="@xname" />
	       </xsl:apply-templates>
	    </th>
	 </tr>
      </table>

   </xsl:template>

<!-- *============================================================ -->   
   <xsl:template match="questionLIST" >

      [<A href="http://{./@xfile}"> <xsl:value-of select="./@xname"/>  </A>]

   </xsl:template>

<!-- *============================================================ -->   

<!-- *============================================================ -->   
   <xsl:template name="header" >
      <table width="100%">
	 <tr><td bgcolor="blue" align="center"><font face="helvetica" size="+1" color="white"> <b>Students </b></font></td></tr>
	    <form>
	 <tr><td bgcolor="white" align="center">
	       <font color="blue">
		  <b>
		     <samp>
		     <a href="{/course/global/help}/question.html" target="help">
			<img src="{/course/global/images}/mans.gif" border="0" align="ABSCENTER"/>
		     </a>
		     <input type="button" value="BACK" onClick=" self.history.go(-1); "/></samp> 
		  </b>
	       </font>
	 </td></tr>
	    </form>
      </table>
      
   </xsl:template>

<!-- *============================================================ -->   


   
</xsl:stylesheet>

