#
# Site specific configuration
#


COMPILER= gcc
INST_DIR= /locala/msen7/dbms
HAVE_DYNAMIC= -DHAVE_DYNAMIC
CC_ONLY_FLAGS=
LINK_ONLY_FLAGS= 


#
# Things below here shouldn't need to be changed
#
CC= $(COMPILER) $(CC_ONLY_FLAGS)
LINK= $(COMPILER) $(LINK_ONLY_FLAGS)
CPP= gcc -E
RANLIB= ranlib
AR= ar
LN_S= ln -s
BASE_SOURCE_DIR= $(TOP)

YACC= bison -y

SIGLIST= 
DIRENT= -DHAVE_DIRENT_H -DHAVE_DIRENT
MMAP= -DHAVE_MMAP
MSYNC= -DMSYNC_3
U_INT= -DHAVE_U_INT
SSIZE_T= -DHAVE_SSIZE_T
BITTYPES= 
SYS_ERR= 
TARGET= Solaris-2.6-Sparc
WORKING_RLIMIT= -DHAVE_RLIMIT_NOFILE
HAVE_ISDST= -DHAVE_ISDST

# Extra libraries if required
EXTRA_LIB= -ldl -lgen -lnsl -lsocket 

# Any other CFlags required
EXTRA_CFLAGS= -DHAVE_CONFIG_H $(SSIZE_T) $(U_INT) $(BITTYPES)

# Directory for pid file
PID_DIR= 

CFLAGS= -O -I$(TOP)/ $(EXTRA_CFLAGS) -D$(OS_TYPE)
LDLIBS= -L$(TOP)/lib $(EXTRA_LIB)
