<?xml version="1.0"?> 

<!--xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl"-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/XSL/Transform/1.0"
   xmlns="http://www.w3.org/TR/REC-html40" 
   xmlns:lxslt="http://xsl.lotus.com/"
   result-ns="">
   
   
   
   
   <xsl:template match="/">
      <HTML>
	 <head>
	    <SCRIPT LANGUAGE="JavaScript"><![CDATA[
	       function switchQuestions(){
	       //alert("reload");
	       }
	       ]]>
	    </SCRIPT>
	 </head>
	 <BODY bgcolor="GreenYellow">
	    <center>
	       <xsl:apply-templates select="course/layouts"/>
	       <xsl:call-template name="header"/>
	       <TABLE WIDTH="100%" ALIGN="center" BORDER="1">
		  <TR>
		     <TH colspan="2" bgcolor="LemonChiffon"> <xsl:value-of select="course/coursename"/> Quizzes </TH> 
		  </TR>
		  <xsl:apply-templates select="course/quiz">
		     <xsl:sort select="quizname"/>
		  </xsl:apply-templates>
	       </TABLE>
	       <i>Click on the name of the quiz for exam.</i>
	    </center>
	 </BODY>
      </HTML>
   </xsl:template>
   
   <xsl:variable name="url" ><xsl:value-of select="/course/global/host"/>/<xsl:value-of select="/course/global/servlet"/>/gs.admin.xTakeExam?unum=<xsl:value-of select="/course/user/unum"/>&amp;course=<xsl:value-of select="/course/coursename"/>&amp;quizname=</xsl:variable>
   
<!-- ============================================================ -->
   <xsl:template match="quiz" >
      <xsl:sort select="quizname"/>
      <tr>
	 <td align="center">
	    <xsl:number level="single" count="quiz" format="1. "/>
	    <A href="{$url}{quizname}&amp;comm=TAKEQUIZ" 
	       target="info">
	       <xsl:value-of select="quizname"/>
	    </A>
	    
	 </td><!-- top.info.document.location='{quizname}{infourl}';"-->
	    <td align="center" bgcolor="green">
	       <A href="{$url}{quizname}&amp;comm=GRADEEXAM" 
		  onClick="top.menu.document.location='{$url}{quizname}&amp;comm=LISTGRADEDQUESTIONS';"
		  target="info" ><!--  onClick="switchQuestions(); top.menu.document.location='{$url}{quizname}&amp;comm=LISTGRADEDQUESTIONS';"> -->
		  <font size="-2" face="helvetica" color="yellow">Results</font>
	       </A>
	    </td>
	 </tr>
      </xsl:template>
      
      
<!-- *============================================================ -->
   <xsl:template match="course/layouts" >
      
      <table width="100%">
	 <tr>
	    <th bgcolor="#ccffff">
	       <xsl:value-of select="current/quizLIST/@xname"/>
	       <br>
	       </br> 
	       <xsl:apply-templates select="quizLIST">
		  <xsl:sort select="@xname" />
	       </xsl:apply-templates>
	    </th>
	 </tr>
      </table>

   </xsl:template>
<!-- *============================================================ -->   
   <xsl:template match="quizLIST" >

      [<A href="http://{./@xfile}"> <xsl:value-of select="./@xname"/>  </A>]

   </xsl:template>
   
<!-- *============================================================ -->   
   <xsl:template name="header" >
      <table width="100%">
	 <tr>
	    <td bgcolor="blue" align="center">
	       <font face="helvetica" size="+1" color="white"> 
		  <b>Quizzes </b>
	       </font>
	    </td>
	 </tr>
	 <tr>	    
	    <form>
	       <td bgcolor="white" align="center">
		  <font color="blue">
		     <b> 
			<a href="{/course/global/help}/quiz.html" target="help">
			   <img src="{/course/global/images}/mans.gif" border="0" align="CENTER"/>
			</a>
			<samp><input type="button" value=" BACK " onClick="top.history.back()"/></samp> 
		     </b></font>
		  </td>
	       </form>
	    </tr>
	 </table>
   
</xsl:template>
   
</xsl:stylesheet>



