<?xml version="1.0"?> 

<!--xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl"-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/XSL/Transform/1.0"
   xmlns="http://www.w3.org/TR/REC-html40" 
   xmlns:lxslt="http://xsl.lotus.com/"
   result-ns=""
   indent-result="no"
>


   
   
   <xsl:template match="/">
      <HTML>
	 <head>
	    
	    <SCRIPT LANGUAGE="JavaScript">
	       var first=true;
	       var host="<xsl:value-of select="course/global/host"/>/<xsl:value-of select="course/global/servlet"/>";
	       var quizname="<xsl:value-of select="course/quiz/quizname"/>";
	       var coursename="<xsl:value-of select="course/coursename"/>";
	       var user="<xsl:value-of select="course/user/unum"/>";


	    </SCRIPT>
	  
		
	 </head>
	 <BODY bgcolor="yellow" > 
	    <xsl:apply-templates select="course/layouts"/>
	    <TABLE WIDTH="100%" ALIGN="center" BORDER="1">
	       <TR>
		  <TH colspan="3" bgcolor="LemonChiffon"> <xsl:value-of select="course/coursename"/> <s/><font color="blue">
		     <xsl:value-of select="course/quiz/quizname"/></font> Results </TH> 
	       </TR>
	    </TABLE>



	    <TABLE BORDER="0">
	       <tr>
		
		  <td bgcolor="yellow" ALIGN="LEFT" VALIGN="bottom">
		     <xsl:apply-templates select="course/quiz/results/student" mode="again">
			<xsl:sort select="grade" data-type="number"/> 
		     </xsl:apply-templates>
		  </td>
	       </tr>
	     
	    </TABLE>



	    <xsl:variable name="p"><xsl:value-of select="course/quiz/points"/></xsl:variable>
	    
	    <TABLE BORDER="0">
	       <tr>
		  <td valign="top"><xsl:value-of select="$p"/></td>
		  <td height="{$p*2}" width="1" bgcolor="red"><IMG SRC="{/course/global/images}/line.gif"/></td>
		  <td bgcolor="white" ALIGN="LEFT" VALIGN="bottom">
		     <xsl:apply-templates select="course/quiz/results/student" mode="first">
			<xsl:sort select="grade" data-type="number"/>
		     </xsl:apply-templates>
		  </td>
	       </tr>
	       <tr>
		  <td height="1" ></td>
		  <td height="1"  ></td>
		  <td bgcolor="red" height="1" width="500"><IMG SRC="{/course/global/images}/line.gif"/></td>
	       </tr>

	       <tr>
		  <td height="1" colspan="2">0</td>
		 
		  <td><center><i>Students</i></center></td>
	       </tr>
	    </TABLE>

 	       <center>
		

			
	<form name="current">
	   <input type="text"  name="set" value="Please point mouse to bars"/>
	</form>

     </center>
     <hr/>

	       <form name="INCLUDE" 
		  action="{/course/global/host}/{/course/global/servlet}/gs.admin.xQuizzes"
		  method="POST"
		  >
		  
		  <input type="hidden" name="unum"  value="{/course/user/unum}"/>
		  <input type="hidden" name="course" value="{/course/coursename}"/>
		  <input type="hidden" name="quizname" value="{/course/quiz/quizname}"/>
		  <input type="hidden" name="comm" value="INCLUDEINTOAVERAGE1"/>
		  
		    <nobr><font face="Helvetica" color="white"><b><input type="button" value=" include into averages "  onClick="this.form.submit()"/></b></font></nobr>
		 
	       </form>
     <hr/>

		
		


	 </BODY>
      </HTML>
   </xsl:template>

<!-- ============================================================ -->
   <xsl:template match="student" mode="again" >
      <xsl:variable name="ht"><xsl:value-of select="grade*2"/></xsl:variable>
      <a href="" onMouseOver="top.info.document.current.set.value='{grade}  {name/@lastname}, {name/@midname} {name@firstname}'"><IMG SRC="{/course/global/images}/gbar.gif"  height="{$ht}" border="0"/></a>

   </xsl:template>

<!-- ============================================================ -->
   <xsl:template match="student" mode="first">
      <xsl:variable name="ht"><xsl:value-of select="grade*2"/></xsl:variable>
      <a href="" onMouseOver="top.info.document.current.set.value='{grade}  {name/@lastname}, {name/@midname} {name@firstname}'"><IMG SRC="{/course/global/images}/gbar3.gif"  height="{$ht}" width="5" border="0"/></a>

   </xsl:template>
   
   
<!-- =======================================<font color="yellow"><b>?</b></font>===================== -->
   <xsl:template match="question" >
      <tr>
	 <td align="center"><font color="red" size="-1"><xsl:value-of select="category"/></font></td>
	 <td bgcolor="LemonChiffon"><font color="red" size="-1">
	     <xsl:value-of select="qid"/>.  <A href="{/course/global/host}/{/course/global/servlet}/gs.admin.xQuestions/?quizname={/course/quiz/quizname}&amp;course={/course/coursename}&amp;comm=METADATA&amp;unum={/course/user/unum}&amp;qid={qid}" target="info"><xsl:value-of select="qtitle"/></A></font>
	 </td>
	 <td align="center" bgcolor="brown">
	    <A href="{/course/global/host}/{/course/global/servlet}/gs.admin.xQuestions/?quizname={/course/quiz/quizname}&amp;course={/course/coursename}&amp;comm=JUSTQUESTION&amp;unum={/course/user/unum}&amp;qid={qid}"  target="info">plese mail to me MSEN7</A>
	 </td>
      </tr>
   </xsl:template>
   

<!-- *============================================================ -->
   <xsl:template match="course/layouts" >
      
      <table width="100%">
	 <tr>
	    <th bgcolor="#ccffff">
	       <xsl:value-of select="current/quizRESULT/@xname"/>
	       <br>
	       </br> 
	       <xsl:apply-templates select="quizRESULT">
		  <xsl:sort select="@xname" />
	       </xsl:apply-templates>
	    </th>
	 </tr>
      </table>

   </xsl:template>

<!-- *============================================================ -->   
   <xsl:template match="quizRESULT" >

      [<A href="http://{./@xfile}"> <xsl:value-of select="./@xname"/>  </A>]

   </xsl:template>

<!-- *============================================================ -->   

   
</xsl:stylesheet>

